export interface MediaQueryProps {
    /** Breakpoints data */
    breakpoints?: Array<IBreakPoints>;
}
export interface AccordionPropsReturn {
    /** Breakpoints data given by prop*/
    breakpointsDefault: Array<IBreakPoints>;
    /** Breakpoints Object with Media Listner Attached*/
    media: IMediaQuery;
}
interface IBreakPoints {
    xs?: String;
    sm?: String;
    md?: String;
    lg?: String;
    xl?: String;
    triggerFlow: String;
}
interface IMediaQuery {
    xs?: Boolean;
    sm?: Boolean;
    md?: Boolean;
    lg?: Boolean;
    xl?: Boolean;
}
declare const useMediaQuery: (props?: MediaQueryProps) => {
    breakpointsDefault: IBreakPoints[];
    media: IMediaQuery;
};
export default useMediaQuery;
