export interface ProgressBarProps {
    /** override the bar percentuage */
    percentuage?: number;
    /** Trigger on percentuage change */
    onChange?: Function;
    onComplete?: Function;
}
export interface ProgressBarReturn {
    percentuage: number;
    isEmpty: Boolean;
    isCompleted: Boolean;
    increment: Function;
    decrement: Function;
    reset: Function;
    complete: Function;
    empty: Function;
}
declare const useProgressBar: (props?: ProgressBarProps) => {
    percentuage: number;
    increment: (value: number) => void;
    decrement: (value: number) => void;
    reset: () => void;
    complete: () => void;
    empty: () => void;
    isCompleted: boolean;
    isEmpty: boolean;
};
export default useProgressBar;
