import { MouseEventHandler, RefObject } from "react";
export interface StepperProps {
    /** Number of steps */
    maxStep: number;
    /** start from a specific step */
    activeStep?: number;
    /** loop */
    loop?: boolean;
    /** overwrite the trigger logic go to the previous step */
    triggerGoToPrevStep?: TriggerProps;
    /** overwrite the trigger logic go to the next step */
    triggerGoToNextStep?: TriggerProps;
    /** overwrite the trigger logic reset step */
    triggerResetStep?: TriggerProps;
}
export interface StepperReturn {
    /** Current step */
    currentStep: number;
    /** Go to the step */
    goToStep: Function;
    /** Go to the previous step */
    goToPrevStep: Function;
    /** Go to the next step */
    goToNextStep: Function;
    /** Is the current step the first step? */
    isFirstStep: boolean;
    /** Is the current step the last step? */
    isLastStep: boolean;
    /** Go to the first step */
    reset: Function;
    /** Can you go to the previous step? */
    canGoToPrevStep: boolean;
    /** Can you go to the next step? */
    canGoToNextStep: boolean;
    /** trigger prev step attrs */
    triggerGoToPrevStep: TriggerProps;
    /** trigger next step attrs */
    triggerGoToNextStep: TriggerProps;
    /** trigger reset step attrs */
    triggerResetStep: TriggerProps;
}
export interface TriggerProps {
    ref?: RefObject<any>;
    onClick?: MouseEventHandler;
}
/**
 * useStepper() - Build your stepper component.
 */
declare const useStepper: (props?: StepperProps) => StepperReturn;
export default useStepper;
