import { TriggerProps } from "../useStepper";
export interface TabProps {
    /** Number of tabs */
    numTabs: number;
    /** start from a specific tab */
    activeTab?: number;
    /** overwrite the trigger logic go to the previous tab */
    triggerGoToPrevTab?: TriggerProps;
    /** overwrite the trigger logic go to the next tab */
    triggerGoToNextTab?: TriggerProps;
}
export interface TabReturn {
    /** Current tab */
    currentTab: number;
    /** Go to the tab */
    goToTab: Function;
    /** Go to the previous tab */
    goToPrevTab: Function;
    /** Go to the next tab */
    goToNextTab: Function;
    /** Is the current step the first tab? */
    isFirstTab: boolean;
    /** Is the current step the last tab? */
    isLastTab: boolean;
    /** Can you go to the previous tab? */
    canGoToPrevTab: boolean;
    /** Can you go to the next tab? */
    canGoToNextTab: boolean;
    /** trigger prev tab attrs */
    triggerGoToPrevTab: TriggerProps;
    /** trigger next tab attrs */
    triggerGoToNextTab: TriggerProps;
}
declare const useTab: (props?: TabProps) => TabReturn;
export default useTab;
