import { TriggerProps, TargetProps } from '../useSwitch';
export interface TooltipProps {
    /** Is tooltip visible by default? */
    isVisible?: boolean;
    /** Show tooltip on click and not hover */
    showOnClick?: boolean;
    /** Close tooltip on trigger Mouse Leave */
    hiddenTooltipOnTriggerLeave?: boolean;
    /** Close tooltip on tooltip click outside */
    closeTooltipOnClickOutside?: boolean;
}
export interface TooltipReturn {
    /** trigger attrs */
    trigger: TriggerProps;
    /** list attrs */
    tooltip: TargetProps;
    /** toggle list open/close */
    toggleTooltip: Function;
    /** open list */
    showTooltip: Function;
    /** close list */
    hiddenTooltip: Function;
    /** is list open */
    isVisible: boolean;
}
/**
 * useDropdown() - Build your dropdown component that can be used to display a list of items.
 */
declare const useDropdown: (props?: TooltipProps) => TooltipReturn;
export default useDropdown;
